API ReferenceAdmin API
Abandon Integration Operation
Explicitly terminalizes an outcome_unknown integration operation after a human operator has investigated it. Only a workspace owner or admin may perform this action. abandoned does not mean failed or cancelled: the provider effect remains unknown. Replaying the same normalized reason returns the existing operation without another audit record; a different reason returns 409.
Path Parameters
wsId*string
Workspace id
botId*string
Numeric bot runtime id
operationId*string
Durable operation id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/admin/workspaces/string/bots/string/integration-operations/497f6eca-6276-4993-bfeb-53cbbbba6f08/abandon" \ -H "Content-Type: application/json" \ -d '{ "reason": "string" }'{ "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "queued", "actionType": "string", "resourceKey": "string", "attempt": 0, "progress": 0, "progressMessage": "string", "deadline": "2019-08-24T14:15:22Z", "result": {}, "error": { "code": "string", "message": "string" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "finishedAt": "2019-08-24T14:15:22Z"}Empty
Empty
Empty
Empty
Empty